EDIT - bug #6373

bug # 6374 (Closed): Uses no longer shown in palmweb portal broken

LIE during request to /portal/descriptionElement/byTaxon
01/23/2017 01:31 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.5

Severity: critical Found in Version:

Description

Caused by: net.sf.json.JSONException: org.hibernate.LazyInitializationException: failed to lazily
initialize a collection of role: eu.etaxonomy.cdm.model.media.Media.title, could not initialize pr
oxy — no Session

at net.sf.json.JSONObject._fromBean (JSONObject.java:692)

at net.sf.json.JSONObject.fromObject (JSONObject. java:172)

at net.sf.json.AbstractJSON._processValue (AbstractJSON. java:274)

at net.sf.json.JSONArray._processValue (JSONArray.java:2513)

at net.sf.json.JSONArray.processValue (JSONArray. java:2538)

at net.sf.json.JSONArray.addValue (JSONArray.java:2525)

at net.sf.json.JSONArray._fromCollection (JSONArray.java:1056)

at net.sf.json.JSONArray.fromObject (JSONArray. java:123)

at net.sf.json.AbstractJSON._processValue (AbstractJSON. java:240)

at net.sf.json.JSONObject._processValue (JSONObject. java:2655)

at net.sf.json.JSONObject.processValue (JSONObject. java:2721)

at net.sf.json.JSONObject.element (JSONObject.java:1786)

at eu.etaxonomy.cdm.remote.json.processor.bean.AbstractBeanProcessor.processBean (AbstractBeanP
rocessor.java:151)

at net.sf.json.JSONObject._fromBean (JSONObject.java:676)

at net.sf.json.JSONObject.fromObject (JSONObject. java:172)

at net.sf.json.AbstractJSON._processValue (AbstractJSON. java:274)

at net.sf.json.JSONArray._processValue (JSONArray.java:2513)

at net.sf.json.JSONArray.processValue (JSONArray. java:2538)

at net.sf.json.JSONArray.addValue (JSONArray.java:2525)

at net.sf.json.JSONArray._fromCollection (JSONArray.java:1056)

at net.sf.json.JSONArray.fromObject (JSONArray.java:123)

at net.sf.json.AbstractJSON._processValue (AbstractJSON. java:240)

at net.sf.json.JSONObject._processValue (JSONObject. java:2655)

at net.sf.json.JSONObject.processValue (JSONObject. java:2721)

at net.sf.json.JSONObject.setInternal (JSONObject. java:2736)

at net.sf.json.JSONObject.setValue (JSONObject.java:1424)

at net.sf.json.JSONObject.defaultBeanProcessing (JSONObject. java:765)

at net.sf.json.JSONObject._fromBean (JSONObject.java:699)

at net.sf.json.JSONObject.fromObject (JSONObject. java:172)

at eu.etaxonomy.cdm.remote.view.JsonView.render (JsonView. java:135)

at eu.etaxonomy.cdm.remote.view.JsonView.render (JsonView. java:199)

at org.springframework.web.servlet.DispatcherServlet.render (DispatcherServlet. java:1243)

at org.springframework.web.servlet.DispatcherServlet.processDispatchResult (DispatcherServlet.j
ava:1027)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:971)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

61 more

httpie test command
http http://api.cybertaxonomy.org/palmae/portal/descriptionElement/byTaxon\?taxon=1d91bd71-7109-49
16-872f-a82b710a9cdf "features=d3c4cbb6-0025-4322-886b-cd0156753a25%2C89d3b005-9876-4923-89d9-60eb

7509583b%2C8200e050-d5fd-4cac-8a76-4b47afbl13809%2C99b2842f-9%9aa7-42fa-bd5£-7285311e0101%2C5deff505-
1a32-4817-9a74-50e6936£d630%2C910307£f1-dc3c—-452c—abdd-afb5ac7cd365c%2Ce5374d39-b210-47c7-becl-beel5

04/19/2024 1/2




b5f1cb6%2Ca7786d3e-7c58-4141-8416-346d4c80c4a2%2Cd43d8501-ceab-4caa-9e51-e87138528fac%2Cf0f9%94c5c-a
5ae—-47d2-9¢c46-8a9c704973d3%2C86d40635-2a63-4ad6-be75-9faada6ab7fb%2C4890f358-b78a-45e2-a691-f9f3f1
0446ce%2Cf59e747d-0b4f-4bf7-b69%9a-cbd50bc78595%2C555a46bc-211a-476f-a022-c472970d6f8b%2C7c0c7571-a8
64-47c1-891d-01£f59000dael%2Cfc810911-51f0-4a46-ab97-6562fe263ae5%2C4518fc20-2492-47de-b345-777d2b8
3c9cf%$2Cdd653d48-355c-4aec—ade7-724f6eb29f8d%2C1e87d9c3-0844-4a03-9686-773e2ccb3ab6%2Ce75255ca-8ff
4-4905-baad-£842927£fe1d3%2Ca677£827-2209-4205-bb37-11cb48dd9106%2C6e9deld5-05f0-40d5-8786-2fe30d0d
894d%2Cbd%acal77-cdle-4418-a3al-1a4b80dbcl62%2C%2Ce28965b2-a367-48c5-b954-8afc8ac2c69b%2Caa923827-d
333-4cf5-9a5f-438ae0ad4746b%2C002d05£2-£d72-49£f1-badd-196cf09240b5%2C9£fdc4663-4d56-47d0-90b5-c0bf25
lbafbb%2Cle5ac518-3f6d-4a5c-ad9%-£fc81a077e9f4%2Cb5780b45-6439-4f3¢c-9818-d89d26d36eb2%2C6£67798-d8
d5-4bc5-80bf-affdb7e3945a%2C84193b2c-327f-4cce-90ef-c8dal8fd5bb5%2C6acb0348-c070-4512-a37c-67bcac0
16279%2C94213b2c-e67a-4d37-25ef-e8d316edfbal%2C9087cdcd-8b08-4082-alde-34c9ba9fb493%2C8125a59d-b4d
5-4485-89ea-673062970b599%2C89423317-b00a-46de-a34f-fel56d93dfc0%2Cfb16929f-bc9c-456f-9d40-dec987b3
6438%2C86bd920d-£8c5-48b9-af1d-03£63c31de5c%2C9832e24f-b670-43b4-ac7c-20a726lald8c&pageNumber=0&pa
geSize=500"

Associated revisions

Revision be36c37f - 01/23/2017 02:15 PM - Andreas Kohlbecker
fix #6373 fixing MediaAutolnitializer

History

#1 - 01/23/2017 01:31 PM - Andreas Kohlbecker

- Description updated

#2 - 01/23/2017 02:15 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmliblbe36c37f254cc5d6f7b6297547714fc8121e2017.

#3 - 01/23/2017 04:36 PM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 4.5

#4 - 01/23/2017 04:38 PM - Andreas Kohlbecker
- Parent task set to #6374

#5 - 01/25/2017 04:32 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

works!
